Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.math.distribution
Class UniformProbabilityComputer

    java.lang.Object
      baseCode.math.distribution.UniformProbabilityComputer

All Implemented Interfaces:
  ProbabilityComputer

public class UniformProbabilityComputer
extends java.lang.Object
implements ProbabilityComputer

Generate probabilities from the uniform distribution.

Copyright (c) 2004 Columbia University

Version:
  $Id: UniformProbabilityComputer.java,v 1.1 2004/12/31 01:14:48 pavlidis Exp $
Author:
  pavlidis

Constructor Summary
`UniformProbabilityComputer()` Create a UniformProbabilityComputer where the density is defined over the unit inteval [0,1].
`UniformProbabilityComputer(double min, double max)` Create a UniformProbabilityComputer where the density is defined over the interval given

Method Summary
`double` | `probability(double x)` Return the probability associated with a certain value.The upper tail of the associated distribution is returned.
`double` | `probability(double x, boolean upperTail)` Return the probability associated with a certain value, with choice of tail.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniformProbabilityComputer

    public UniformProbabilityComputer()

  Create a UniformProbabilityComputer where the density is defined over the unit inteval [0,1].

### UniformProbabilityComputer

    public UniformProbabilityComputer(double min,
                                      double max)

  Create a UniformProbabilityComputer where the density is defined over the interval given

Parameters:
  `min` -
  `max` -

Method Detail

### probability

    public double probability(double x)

  Description copied from interface: `ProbabilityComputer`
  Return the probability associated with a certain value.The upper tail of the associated distribution is returned.

  Specified by:
    `probability` in interface `ProbabilityComputer`
  Parameters:
    `x` -
  Returns:

### probability

    public double probability(double x,
                              boolean upperTail)

  Description copied from interface: `ProbabilityComputer`
  Return the probability associated with a certain value, with choice of tail.

  Specified by:
    `probability` in interface `ProbabilityComputer`
  Parameters:
    `x` -
    `upperTail` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.